org.apache.cassandra.config

## Class EncryptionOptions.ClientEncryptionOptions

- java.lang.Object
- - org.apache.cassandra.config.EncryptionOptions
  - - org.apache.cassandra.config.EncryptionOptions.ClientEncryptionOptions

- Enclosing class:
    EncryptionOptions

      public static class EncryptionOptions.ClientEncryptionOptions
      extends EncryptionOptions

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.config.EncryptionOptions

      `EncryptionOptions.ClientEncryptionOptions, EncryptionOptions.ServerEncryptionOptions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `enabled`
    `boolean` | `optional`

    - ### Fields inherited from class org.apache.cassandra.config.EncryptionOptions

      `algorithm, cipher_suites, keystore, keystore_password, protocol, require_client_auth, store_type, truststore, truststore_password`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientEncryptionOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          public boolean enabled

    - #### optional

          public boolean optional

  - ### Constructor Detail

    - #### ClientEncryptionOptions

          public ClientEncryptionOptions()

Copyright © 2018 The Apache Software Foundation